Update a job
import requests
url = "https://{FUSION HOST}/api/spark/configurations/{id}"
payload = {
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"type": "custom_python_job",
"verboseReporting": False
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/spark/configurations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\",\n \"verboseReporting\": false\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'my-python-job',
script: '/compare_fusion_apis.py',
type: 'custom_python_job',
verboseReporting: false
})
};
fetch('https://{FUSION HOST}/api/spark/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/spark/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\",\n \"verboseReporting\": false\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/spark/configurations/{id}"
payload := strings.NewReader("{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\",\n \"verboseReporting\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/spark/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'my-python-job',
'script' => '/compare_fusion_apis.py',
'type' => 'custom_python_job',
'verboseReporting' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://{FUSION HOST}/api/spark/configurations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"type": "custom_python_job",
"verboseReporting": false
}
'{
"type": "custom_python_job",
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"verboseReporting": false,
"updates": [
{
"userId": "demo-user",
"timestamp": "2025-12-03T22:17:23.651897283Z"
},
{
"userId": "demo-user",
"timestamp": "2025-12-03T22:17:23.653890793Z"
}
]
}Update a job
Modify a job’s configuration. Use the /spark/schema endpoint to get the configuration schema.
PUT
/
spark
/
configurations
/
{id}
Update a job
import requests
url = "https://{FUSION HOST}/api/spark/configurations/{id}"
payload = {
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"type": "custom_python_job",
"verboseReporting": False
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/spark/configurations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\",\n \"verboseReporting\": false\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'my-python-job',
script: '/compare_fusion_apis.py',
type: 'custom_python_job',
verboseReporting: false
})
};
fetch('https://{FUSION HOST}/api/spark/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/spark/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\",\n \"verboseReporting\": false\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/spark/configurations/{id}"
payload := strings.NewReader("{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\",\n \"verboseReporting\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/spark/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'my-python-job',
'script' => '/compare_fusion_apis.py',
'type' => 'custom_python_job',
'verboseReporting' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://{FUSION HOST}/api/spark/configurations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"type": "custom_python_job",
"verboseReporting": false
}
'{
"type": "custom_python_job",
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"verboseReporting": false,
"updates": [
{
"userId": "demo-user",
"timestamp": "2025-12-03T22:17:23.651897283Z"
},
{
"userId": "demo-user",
"timestamp": "2025-12-03T22:17:23.653890793Z"
}
]
}Authorizations
Basic authAPI key
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The name of the job configuration to modify.
Query Parameters
The app to which this job belongs.
Body
application/json
The job's configuration details.
The name of the job configuration.
Example:
"scripted_job_example"
Spark configuration settings for this job, as an array of key/value objects.
Show child attributes
Show child attributes
Example:
[
{ "key": "spark.cores.max", "value": "2" },
{
"key": "spark.executor.memory",
"value": "1g"
}
]
The job type.
Response
200 - */*
OK
The job's configuration details.
The name of the job configuration.
Example:
"scripted_job_example"
Spark configuration settings for this job, as an array of key/value objects.
Show child attributes
Show child attributes
Example:
[
{ "key": "spark.cores.max", "value": "2" },
{
"key": "spark.executor.memory",
"value": "1g"
}
]
The job type.
Was this page helpful?